## com.sun.grizzly.async
Class AsyncReadQueueRecord

    java.lang.Object
      com.sun.grizzly.async.AsyncReadQueueRecord

    public class AsyncReadQueueRecord

extends Object

`AsyncQueue` write data unit

Author:
  Alexey Stashok

Field Summary
`ByteBuffer` `byteBuffer`
`AsyncReadCallbackHandler` `callbackHandler`
`AsyncReadCondition` `condition`
`AsyncQueueDataProcessor` `readPostProcessor`

Constructor Summary
`AsyncReadQueueRecord()`

Method Summary
`ByteBuffer` `getByteBuffer()`
`AsyncReadCallbackHandler` `getCallbackHandler()`
`AsyncReadCondition` `getCondition()`
`AsyncQueueDataProcessor` `getReadPostProcessor()`
`void` `set(ByteBuffer byteBuffer, AsyncReadCallbackHandler callbackHandler, AsyncReadCondition condition, AsyncQueueDataProcessor readPostProcessor)`
`void` `setByteBuffer(ByteBuffer byteBuffer)`
`void` `setCallbackHandler(AsyncReadCallbackHandler callbackHandler)`
`void` `setCondition(AsyncReadCondition condition)`
`void` `setReadPostProcessor(AsyncQueueDataProcessor readPostProcessor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### byteBuffer

    public ByteBuffer byteBuffer

### callbackHandler

    public AsyncReadCallbackHandler callbackHandler

### condition

    public AsyncReadCondition condition

### readPostProcessor

    public AsyncQueueDataProcessor readPostProcessor

Constructor Detail

### AsyncReadQueueRecord

    public AsyncReadQueueRecord()

Method Detail

### set

    public void set(ByteBuffer byteBuffer,
                    AsyncReadCallbackHandler callbackHandler,
                    AsyncReadCondition condition,
                    AsyncQueueDataProcessor readPostProcessor)

### getByteBuffer

    public ByteBuffer getByteBuffer()

### setByteBuffer

    public void setByteBuffer(ByteBuffer byteBuffer)

### getCallbackHandler

    public AsyncReadCallbackHandler getCallbackHandler()

### setCallbackHandler

    public void setCallbackHandler(AsyncReadCallbackHandler callbackHandler)

### getCondition

    public AsyncReadCondition getCondition()

### setCondition

    public void setCondition(AsyncReadCondition condition)

### getReadPostProcessor

    public AsyncQueueDataProcessor getReadPostProcessor()

### setReadPostProcessor

    public void setReadPostProcessor(AsyncQueueDataProcessor readPostProcessor)

Copyright © 2008 SUN Microsystems. All Rights Reserved.